
/* ---------------------------------------------------------------------
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.  

   Copyright (c) 2001-2002 by Michal Ociepka <armadillo@wp.pl>

   For more info:
   http://xdefactor.republika.pl
   --------------------------------------------------------------------- */

#include <postgresql/libpq-fe.h>
#include <stdio.h>
#include <stdlib.h>
#include <gdk/gdk.h>
#include <math.h>
#include <string.h>
 
	PGconn 		*conn;
	PGresult 	*res, *res_;
	PGnotify	*notify;

	gint nFields;

int conn_db(gint QID){
	
	gchar 	pghost[30],
		pgport[6],
		*pgoptions=NULL,
		*pgtty=NULL,
		dbName[20],
		pgLogin[20],
		pgPass[20];

		
        extern gint polaczenie;

	extern PGconn 		*conn;

	if(getgid() != 113 && getgid() != 0){
		g_print("Twoj identyfikator grupy to: %d\n", getgid());
		g_print("Powinienes nalezec do grupy o id=113!!!\n");
		exit(0);
	}
	/* odczytuje wlasciwosci do polaczenia z baza danych */
	/* pliki konfiguracyjne sa w katalogu /etc/xdefactor */
	chdir("/etc/xdefactor");
	szukaj("db.conf", "host", pghost);
	szukaj("db.conf", "port", pgport);
	szukaj("db.conf", "uzytkownik", pgLogin);
	szukaj("db.conf", "nazwa_bazy", dbName);
	szukaj("db.conf", "haslo", pgPass);

	/* polaczenie z baza */
	if(QID != 1){	
	polaczenie = 0;

	conn = PQsetdbLogin(pghost, pgport, pgoptions, pgtty, dbName, pgLogin, pgPass);
	
	/* sprawdz czy polaczenie nastapilo poprawnie */
	if(PQstatus(conn) == CONNECTION_OK)	
		polaczenie = 1;
		
	else
		polaczenie = -1;	
	} else {
		PQfinish(conn);
	}

	if(QID == 1)
		PQfinish(conn);		

	return 1;
}
	 

