
/* ---------------------------------------------------------------------
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.  

   Copyright (c) 2001-2002 by Michal Ociepka <armadillo@wp.pl>

   For more info:
   http://xdefactor.republika.pl
   --------------------------------------------------------------------- */
#include <stdio.h>
#include <postgresql/libpq-fe.h>
#include <gtk/gtk.h>	
#include "callbacks.h"
#include <gdk/gdk.h>
#include <stdlib.h>

#define CYAN_COLOR "#71f7e7"
#define OD gtk_entry_get_text(GTK_ENTRY(od_entry_faktura))
#define DO gtk_entry_get_text(GTK_ENTRY(do_entry_faktura))

void aktualizuj_faktury(gpointer *data){

	extern PGconn 		*conn;
	extern PGresult		*res;
	extern gint nFields;
	extern GtkWidget *od_entry_faktura;
	extern GtkWidget *do_entry_faktura;
	gchar *wynik[2][6]; 

	gint i, j;
	gint bool;
	glong num_wiersza;
	
	extern gchar dynam[1024];
	gchar *buff;
	extern gchar *nazwa_firmy_faktura;
	GdkColor color;

	gdk_color_parse(CYAN_COLOR, &color);
	
	buff=(char *)malloc(sizeof(dynam));
	
	gtk_clist_clear((GtkCList *) data);
	
  	if(strcmp("", gtk_entry_get_text(GTK_ENTRY(od_entry_faktura))) == 0) {	
	sprintf(buff, "SELECT nip_firmy FROM transakcje WHERE nazwa_firmy = '%s' ORDER BY data_sp ;", nazwa_firmy_faktura);
		res = PQexec(conn, buff);

	nFields = PQnfields(res);
	num_wiersza = PQntuples(res);
	bool=1;
	
	for(i=0; i < num_wiersza; i++) {
		for(j=0; j < nFields; j++){
			sprintf(buff, "SELECT nip_firmy FROM transakcje WHERE nazwa_firmy = '%s' ORDER BY data_sp ;", nazwa_firmy_faktura);
			res = PQexec(conn, buff);
			wynik[1][0] = PQgetvalue(res, i, j);

			sprintf(buff, "SELECT nr_faktury FROM transakcje WHERE nazwa_firmy = '%s' ORDER BY data_sp;", nazwa_firmy_faktura);
			res = PQexec(conn, buff);
			wynik[1][1] = PQgetvalue(res, i, j);

			sprintf(buff, "SELECT data_sp FROM transakcje WHERE nazwa_firmy = '%s' ORDER BY data_sp;", nazwa_firmy_faktura);
			res = PQexec(conn, buff);
			wynik[1][2] = PQgetvalue(res, i, j);

			sprintf(buff, "SELECT data_w FROM transakcje WHERE nazwa_firmy = '%s' ORDER BY data_sp;", nazwa_firmy_faktura);
			res = PQexec(conn, buff);
			wynik[1][3] = PQgetvalue(res, i, j);

			sprintf(buff, "SELECT w_netto FROM transakcje WHERE nazwa_firmy = '%s' ORDER BY data_sp;", nazwa_firmy_faktura);
			res = PQexec(conn, buff);
			wynik[1][4] = PQgetvalue(res, i, j);

			sprintf(buff, "SELECT w_brutto FROM transakcje WHERE nazwa_firmy = '%s' ORDER BY data_sp;", nazwa_firmy_faktura);
			res = PQexec(conn, buff);
			wynik[1][5] = PQgetvalue(res, i, j);

			gtk_clist_append((GtkCList *) data, wynik[1]);
		}
	}
	}else{
	sprintf(buff, "SELECT nip_firmy FROM transakcje WHERE nazwa_firmy = '%s' and '%s' <= data_sp and data_sp <= '%s' ORDER BY data_sp ;", nazwa_firmy_faktura, OD, DO );
	res = PQexec(conn, buff);

	nFields = PQnfields(res);
	num_wiersza = PQntuples(res);
	bool=1;
	
	for(i=0; i < PQntuples(res); i++) {
		for(j=0; j < nFields; j++){
			sprintf(buff, "SELECT nip_firmy FROM transakcje WHERE nazwa_firmy = '%s' and '%s' <= data_sp and data_sp <= '%s' ORDER BY data_sp ;", nazwa_firmy_faktura, OD, DO );
			res = PQexec(conn, buff);
			wynik[1][0] = PQgetvalue(res, i, j);

			sprintf(buff, "SELECT nr_faktury FROM transakcje WHERE nazwa_firmy = '%s' and '%s' <= data_sp and data_sp <= '%s' ORDER BY data_sp;", nazwa_firmy_faktura, OD, DO);
			res = PQexec(conn, buff);
			wynik[1][1] = PQgetvalue(res, i, j);

			sprintf(buff, "SELECT data_sp FROM transakcje WHERE nazwa_firmy = '%s' and '%s' <= data_sp and data_sp <= '%s' ORDER BY data_sp;", nazwa_firmy_faktura, OD, DO);
			res = PQexec(conn, buff);
			wynik[1][2] = PQgetvalue(res, i, j);

			sprintf(buff, "SELECT data_w FROM transakcje WHERE nazwa_firmy = '%s' and '%s' <= data_sp and data_sp <= '%s'  ORDER BY data_sp;", nazwa_firmy_faktura, OD, DO);
			res = PQexec(conn, buff);
			wynik[1][3] = PQgetvalue(res, i, j);

			sprintf(buff, "SELECT w_netto FROM transakcje WHERE nazwa_firmy = '%s'  and '%s' <= data_sp and data_sp <= '%s' ORDER BY data_sp;", nazwa_firmy_faktura, OD, DO);
			res = PQexec(conn, buff);
			wynik[1][4] = PQgetvalue(res, i, j);

			sprintf(buff, "SELECT w_brutto FROM transakcje WHERE nazwa_firmy = '%s' and '%s' <= data_sp and data_sp <= '%s'  ORDER BY data_sp;", nazwa_firmy_faktura, OD, DO);
			res = PQexec(conn, buff);
			wynik[1][5] = PQgetvalue(res, i, j);

			gtk_clist_append((GtkCList *) data, wynik[1]);
		}
	}
	}

	free(buff);
} 
